$(document).ready(function () {
	var getBaseUrl = function () {
		var baseurl;
		if ($('base').length > 0) {
			baseurl = jQuery('base').prop('href');
		} else {
			if (window.location.protocol != "https:") {
				baseurl = 'http://' + window.location.hostname;
			} else {
				baseurl = 'https://' + window.location.hostname;
			}
		}
		return baseurl;
	};
		// These options should have an effect in https context only!
	var options = {
		enableHighAccuracy: true,
		timeout: 6000,
		maximumAge: 500000
	};
	if (navigator.geolocation) {
		function success(pos) {
			// Location found
			var lat = pos.coords.latitude;
			var lon = pos.coords.longitude;
			var url = getBaseUrl() + 'index.php' + '?eID=' + 'radialsearchEidNearestLocation';
			//alert(url);
			jQuery.ajax({
				url: url,
				data: 'lat=' + lat + '&lon=' + lon + '&from=' + 'tx_quickshop_provider'
								+ '&fieldtitle=' + 'title' + '&fieldlocation=' + 'mail_city'
								+ '&fieldlat=' + 'mail_lat' + '&fieldlon=' + 'mail_lon'
				,
				cache: false,
				success: function (data) {
					//alert('success');
					if (data) {
						alert(data);
					}
				}
			});
		}
		function fail(err) {
			// Failed to find location
			alert(`ERROR(${err.code}): ${err.message}`);
		}
		// Find the users current position.  Cache the location for 5 minutes, timeout after 6 seconds
		navigator.geolocation.getCurrentPosition(success, fail, options);
	}
});