<INCLUDE_TYPOSCRIPT: source="FILE:EXT:radialsearch/Configuration/TypoScript/Base/_setup/plugin/tx_radialsearch_pi1/radiusbox/setup.ts">
<INCLUDE_TYPOSCRIPT: source="FILE:EXT:radialsearch/Configuration/TypoScript/Base/_setup/plugin/tx_radialsearch_pi1/_HTMLMARKER/setup.ts">

plugin.tx_radialsearch_pi1 {
  userFunc = tx_radialsearch_pi1->sword
    // Never remove this property!
  pluginCheck = dummy
    // GETPOST: fieldradius, fieldsword, parameter
  gp =
  gp {
      // [String] Radius: HTML name of the select box with options for the radius. Example: radius. Would become in URL: tx_browser_pi1[radius]
    select    = {$plugin.tx_radialsearch_pi1.gp.select}
      // [String] Sword: HTML name of the input field for the search word. Example: radialsearch. Would become in URL: tx_browser_pi1[radialsearch]
    input     = {$plugin.tx_radialsearch_pi1.gp.input}
      // [String] Parameter for the URL. Sent by GET or Post. Usually the piVar parameter of your extension. Examples: tx_browser_pi1, tx_myext_pi1
    parameter = {$plugin.tx_radialsearch_pi1.gp.parameter}
  }
      // css, html, js
  res =
  res {
      // marker, path
    css =
    css {
        // marker, path
      tx_radialsearch_pi1 =
      tx_radialsearch_pi1 {
          // [Array] html_input_id
        marker =
        marker {
            // [String] ID of the input field
          html_input_id = {$plugin.tx_radialsearch_pi1.html.input.id}
        }
          // [String] Path of the css file
        path = {$plugin.tx_radialsearch_pi1.css.default.path}
      }
    }
      // marker, path
    html =
    html {
        // marker, path
      tx_radialsearch_pi1 =
      tx_radialsearch_pi1 {
          // [Array] html_input_id
        marker =
        marker {
            // [String] ID of the input field
          html_input_id = {$plugin.tx_radialsearch_pi1.html.input.id}
        }
          // [String] Path of the html template
        path = {$plugin.tx_radialsearch_pi1.html.path}
      }
    }
      // inline, filter, marker, path, placeToFooter
    js =
    js {
        // inline, filter, marker, path, placeToFooter
      tx_radialsearch_pi1 =
      tx_radialsearch_pi1 {
          // [Boolean] 0 (default): link to the script file, 1: include the script inline
        inline = {$plugin.tx_radialsearch_pi1.javascript.inline}
          // [Array] admin_code1, country_code
        filter =
        filter {
            // [String] admin_code1 (1. subdivision/state) for the filter
          admin_code1 = COA
          admin_code1 {
              // if admin_code1 isn't set
            10 = TEXT
            10 {
              if {
                isFalse = {$plugin.tx_radialsearch_pi1.filter.admin_code1}
              }
              value = "*"
            }
              // if admin_code1 is set
            20 = TEXT
            20 {
              if {
                isTrue = {$plugin.tx_radialsearch_pi1.filter.admin_code1}
              }
              value = "{$plugin.tx_radialsearch_pi1.filter.admin_code1}"
            }
          }
            // [String] country_code for the filter
          country_code = COA
          country_code {
              // if country code isn't set
            10 = TEXT
            10 {
              if {
                isFalse = {$plugin.tx_radialsearch_pi1.filter.country_code}
              }
              value = "*"
            }
              // if country code is set
            20 = TEXT
            20 {
              if {
                isTrue = {$plugin.tx_radialsearch_pi1.filter.country_code}
              }
              value = "{$plugin.tx_radialsearch_pi1.filter.country_code}"
            }
          }
        }
          // [Array] html_input_id, maxrows, minlength
        marker =
        marker {
            // [String] ID of the input field
          html_input_id = "#{$plugin.tx_radialsearch_pi1.html.input.id}"
            // [String] Limit for rows of the database query
          limit = {$plugin.tx_radialsearch_pi1.sql.limit}
            // [String] Minimum length of the search word for autocomplete
          minlength = {$plugin.tx_radialsearch_pi1.autocomplete.minLength}
        }
          // [String] Path of the script
        path          = {$plugin.tx_radialsearch_pi1.javascript.path}
          // [Boolean] 1 (default): place JSS scripts in the footer section. 0: place it on top.
        placeToFooter = {$plugin.tx_radialsearch_pi1.javascript.placeToFooter}
      }
    }
  }
}
